<?php

Event::add('ninja.menu.setup', function () {

  $auth = Auth::instance();
  $menu = Event::$data;

  if (op5MayI::instance()->run('monitor.logger.messages:read')) {

    $limit = 6;
    $count = 0;

    $menu->set('Monitor.Log messages', null, null, 'icon-16 x16-syslog');
    $menu->set('Report.Log messages archive', 'logger/index', null, 'icon-16 x16-syslog-search');

    $set = SavedFilterPool_Model::all()->reduce_by('filter_table', 'log_messages', '=');
    $it = $set->it(false, array());
    $menu->set('Monitor.Log messages.All Log messages', listview::querylink('[log_messages] all'), 0, 'icon-16 x16-syslog');

    foreach ($it as $object) {

      $count++;
      if ($count > $limit) {
        $ns = 'Monitor.Log messages.View all Log message filters';
        $link = listview::querylink('[saved_filters] filter_table="log_messages"');
        $menu->set($ns, $link, null, 'icon-16 x16-syslog');
        break;
      }

      $ns = 'Monitor.Log messages.' . $object->get_filter_name();
      $link = listview::querylink($object->get_filter());

      $menu->set($ns, $link, null, 'icon-16 x16-syslog');

    }

  }

});